<?php
/**
 * Custom template tags for this theme
 *
 * @package Industrial Technology
 */

if ( ! function_exists( 'industrial_technology_posted_on' ) ) :
	function industrial_technology_posted_on() {
		$industrial_technology_time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
		
		if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
			$industrial_technology_time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
		}

		$industrial_technology_time_string = sprintf(
			$industrial_technology_time_string,
			esc_attr( get_the_date( DATE_W3C ) ),
			esc_html( get_the_date() ),
			esc_attr( get_the_modified_date( DATE_W3C ) ),
			esc_html( get_the_modified_date() )
		);

		$industrial_technology_posted_on = sprintf(
			/* translators: %s: post date. */
			wp_kses_post( __( '<strong>Posted on:</strong> %s', 'industrial-technology' ) ),
			'<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $industrial_technology_time_string . '</a>'
		);

		echo '<span class="posted-on">' . $industrial_technology_posted_on . '</span>';
	}
endif;

if ( ! function_exists( 'industrial_technology_posted_by' ) ) :	
	function industrial_technology_posted_by() {
		$industrial_technology_byline = sprintf(
			/* translators: %s: post author. */
			esc_html_x( '- %s', 'post author', 'industrial-technology' ),
			'<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'
		);

		echo '<span class="byline"> ' . $industrial_technology_byline . '</span>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

	}
endif;

if ( ! function_exists( 'industrial_technology_entry_footer' ) ) :	
	function industrial_technology_entry_footer() {
		// Hide category and tag text for pages.
		if ( 'post' === get_post_type() ) {
			/* translators: used between list items, there is a space after the comma */
			$industrial_technology_categories_list = get_the_category_list( esc_html__( ', ', 'industrial-technology' ) );
			if ( $industrial_technology_categories_list ) {
				/* translators: 1: list of categories. */
				printf( '<span class="cat-links">' . esc_html__( 'Posted in %1$s', 'industrial-technology' ) . '</span>', $industrial_technology_categories_list ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}

			/* translators: used between list items, there is a space after the comma */
			$industrial_technology_tags_list = get_the_tag_list( '', esc_html_x( ', ', 'list item separator', 'industrial-technology' ) );
			if ( $industrial_technology_tags_list ) {
				/* translators: 1: list of tags. */
				printf( '<span class="tags-links">' . esc_html__( 'Tagged %1$s', 'industrial-technology' ) . '</span>', $industrial_technology_tags_list ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
		}

		if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
			echo '<span class="comments-link">';
			comments_popup_link(
				sprintf(
					wp_kses(
						/* translators: %s: post title */
						__( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'industrial-technology' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post( get_the_title() )
				)
			);
			echo '</span>';
		}

		edit_post_link(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Edit <span class="screen-reader-text">%s</span>', 'industrial-technology' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			),
			'<span class="edit-link">',
			'</span>'
		);
	}
endif;

if ( ! function_exists( 'industrial_technology_post_thumbnail' ) ) :
	function industrial_technology_post_thumbnail() {
		if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
			return;
		}

		if ( is_singular() ) :
			?>

			<div class="post-thumbnail">
				<?php the_post_thumbnail(); ?>
			</div><!-- .post-thumbnail -->

		<?php else : ?>

			<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1">
				<?php
					the_post_thumbnail(
						'post-thumbnail',
						array(
							'alt' => the_title_attribute(
								array(
									'echo' => false,
								)
							),
						)
					);
				?>
			</a>

			<?php
		endif; // End is_singular().
	}
endif;

if ( ! function_exists( 'wp_body_open' ) ) :
	function wp_body_open() {
		do_action( 'wp_body_open' );
	}
endif;

if( !function_exists('industrial_technology_breadcrumbs') ) :
    /**
     * Industrial Technology Breadcrumbs Function
     */
    function industrial_technology_breadcrumbs($industrial_technology_comment = null){

        echo '<div class="light-store-breadcrumbs">';
        	industrial_technology_breadcrumbs_trail();
        echo '</div>';

    }
endif;